org.jboss.jca.common.api.metadata.ds

## Enum DataSource.Tag

- java.lang.Object
- - java.lang.Enum<DataSource.Tag>
  - - org.jboss.jca.common.api.metadata.ds.DataSource.Tag

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<DataSource.Tag>
  Enclosing interface:
    DataSource

      public static enum DataSource.Tag
      extends java.lang.Enum<DataSource.Tag>

  A Tag.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CONNECTION_PROPERTY` connection-property tag
    `CONNECTION_URL` connection-url tag
    `DATASOURCE_CLASS` datasource-class tag
    `DRIVER` driver tag
    `DRIVER_CLASS` driver-class tag
    `NEW_CONNECTION_SQL` new-connection-sql tag
    `POOL` pool tag
    `SECURITY` security tag
    `STATEMENT` statement tag
    `TIMEOUT` timeout tag
    `TRANSACTION_ISOLATION` transaction-isolation tag
    `UNKNOWN` always first
    `URL_DELIMITER` url-delimiter tag
    `URL_SELECTOR_STRATEGY_CLASS_NAME` url-selector-strategy-class-name tag
    `VALIDATION` validation tag

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DataSource.Tag` | `forName(java.lang.String localName)` Static method to get enum instance given localName XsdString
    `java.lang.String` | `getLocalName()` Get the local name of this element.
    `java.lang.String` | `toString()`
    `static DataSource.Tag` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static DataSource.Tag[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNKNOWN

          public static final DataSource.Tag UNKNOWN

      always first

    - #### POOL

          public static final DataSource.Tag POOL

      pool tag

    - #### CONNECTION_URL

          public static final DataSource.Tag CONNECTION_URL

      connection-url tag

    - #### DRIVER_CLASS

          public static final DataSource.Tag DRIVER_CLASS

      driver-class tag

    - #### DATASOURCE_CLASS

          public static final DataSource.Tag DATASOURCE_CLASS

      datasource-class tag

    - #### DRIVER

          public static final DataSource.Tag DRIVER

      driver tag

    - #### TRANSACTION_ISOLATION

          public static final DataSource.Tag TRANSACTION_ISOLATION

      transaction-isolation tag

    - #### CONNECTION_PROPERTY

          public static final DataSource.Tag CONNECTION_PROPERTY

      connection-property tag

    - #### TIMEOUT

          public static final DataSource.Tag TIMEOUT

      timeout tag

    - #### SECURITY

          public static final DataSource.Tag SECURITY

      security tag

    - #### STATEMENT

          public static final DataSource.Tag STATEMENT

      statement tag

    - #### VALIDATION

          public static final DataSource.Tag VALIDATION

      validation tag

    - #### URL_DELIMITER

          public static final DataSource.Tag URL_DELIMITER

      url-delimiter tag

    - #### URL_SELECTOR_STRATEGY_CLASS_NAME

          public static final DataSource.Tag URL_SELECTOR_STRATEGY_CLASS_NAME

      url-selector-strategy-class-name tag

    - #### NEW_CONNECTION_SQL

          public static final DataSource.Tag NEW_CONNECTION_SQL

      new-connection-sql tag

  - ### Method Detail

    - #### values

          public static DataSource.Tag[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DataSource.Tag c : DataSource.Tag.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DataSource.Tag valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getLocalName

          public java.lang.String getLocalName()

      Get the local name of this element.
      Returns:
        the local name

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<DataSource.Tag>`

    - #### forName

          public static DataSource.Tag forName(java.lang.String localName)

      Static method to get enum instance given localName XsdString
      Parameters:
        `localName` - a XsdString used as localname (typically tag name as defined in xsd)
      Returns:
        the enum instance

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)